Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.wsrm
Class SequenceFault

    java.lang.Object
      org.apache.sandesha2.wsrm.SequenceFault

All Implemented Interfaces:
  RMHeaderPart

    public class SequenceFault

extends java.lang.Object
implements RMHeaderPart

Adds the SequenceFault header block. Either RM10 or RM11 namespace supported

Constructor Summary
`SequenceFault(java.lang.String namespaceValue)`

Method Summary
`java.lang.Object` | `fromHeaderBlock(org.apache.axiom.soap.SOAPHeaderBlock sequenceFaultPart)`
`FaultCode` | `getFaultCode()`
`java.lang.String` | `getNamespaceValue()`
`void` | `setFaultCode(FaultCode faultCode)`
`void` | `toHeader(org.apache.axiom.soap.SOAPHeader header)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceFault

    public SequenceFault(java.lang.String namespaceValue)

Method Detail

### getNamespaceValue

    public java.lang.String getNamespaceValue()

### fromHeaderBlock

    public java.lang.Object fromHeaderBlock(org.apache.axiom.soap.SOAPHeaderBlock sequenceFaultPart)
                                     throws org.apache.axiom.om.OMException,
                                            SandeshaException

  Specified by:
    `fromHeaderBlock` in interface `RMHeaderPart`
  Throws:
    `org.apache.axiom.om.OMException`
    `SandeshaException`

### setFaultCode

    public void setFaultCode(FaultCode faultCode)

### getFaultCode

    public FaultCode getFaultCode()

### toHeader

    public void toHeader(org.apache.axiom.soap.SOAPHeader header)

  Specified by:
    `toHeader` in interface `RMHeaderPart`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.